Bug 688643 - [RFE] RHEL5 EC2 images using the raw device instead of a partition for /
[RFE] RHEL5 EC2 images using the raw device instead of a partition for /
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: releng (Show other bugs)
5.7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Greguske
wes hayutin
: EC2
Depends On:
Blocks: 700594
  Show dependency treegraph
 
Reported: 2011-03-17 11:53 EDT by Pierre Carrier
Modified: 2011-10-11 17:38 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 700594 (view as bug list)
Environment:
Last Closed: 2011-10-11 17:38:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Carrier 2011-03-17 11:53:21 EDT
Description of problem:
- Freshly deployed RHEL5.5 instances have one 6GB partition only used for / (instead of 10GB previously).
- It is impossible to resize it without rebooting (/ being mounted, partitions cannot be reloaded by the kernel, and one cannot grow a filesystem beyond the partition limit anymore)

Version-Release number of selected component (if applicable):
RHEL5.5 EC2 images

How reproducible:
100%

Steps to Reproduce:
1. Install the RHEL5.5 AMIs on a 10GB block device
2. Try to repartition using fdisk/parted/sfdisk
3. Optionally try to reload the partition table using partprobe
4. Try to resize2fs
  
Actual results:
Operations 2-3 fail, operation 4 is therefore impossible.


Expected results:
No need for the steps 2-3

Additional info:

# strace kpartx -a /dev/sda
stat("/dev/sda", {st_mode=S_IFBLK|0640, st_rdev=makedev(8, 0), ...}) = 0
ioctl(3, DM_DEV_STATUS, 0x42bae60)      = -1 ENXIO (No such device or address)

# strace partprobe /dev/sda
ioctl(3, CDROMAUDIOBUFSIZ or SCSI_IOCTL_GET_IDLUN, 0x7fff3ecac5b0) = -1 EINVAL (Invalid argument)
write(2, "Error: ", 7Error: )                  = 7
write(2, "Error initialising SCSI device /"..., 59Error initialising SCSI device /dev/sda - Invalid argument
) = 59
Comment 1 wes hayutin 2011-03-21 12:24:22 EDT
added Jay to the bug
Comment 2 Jay Greguske 2011-10-11 17:25:58 EDT
Flipping back from assigned to share the pain with others.

Note You need to log in before you can comment on or make changes to this bug.